NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NeuralEngine::MachineLearning::Series Class Reference
Collaboration diagram for NeuralEngine::MachineLearning::Series:
[legend]

## Public Member Functions
| Series (const std::string &label, enum Type type, Color color)
Series & | type (enum Type type)
Series & | color (Color color)
Series & | dynamicColor (bool dynamic_color)
Series & | legend (bool legend)
Series & | add (const cv::Mat &data)
Series & | add (const std::vector< std::pair< float, float > > &data)
Series & | add (const std::vector< std::pair< float, Point2 > > &data)
Series & | add (const std::vector< std::pair< float, Point3 > > &data)
Series & | addValue (const std::vector< float > &values)
Series & | addValue (const std::vector< Point2 > &values)
Series & | addValue (const std::vector< Point3 > &values)
Series & | add (float key, float value)
Series & | add (float key, Point2 value)
Series & | add (float key, Point3 value)
Series & | addValue (float value)
Series & | addValue (float value_a, float value_b)
Series & | addValue (float value_a, float value_b, float value_c)
Series & | set (const cv::Mat &data)
Series & | set (const std::vector< std::pair< float, float > > &data)
Series & | set (const std::vector< std::pair< float, Point2 > > &data)
Series & | set (const std::vector< std::pair< float, Point3 > > &data)
Series & | setValue (const std::vector< float > &values)
Series & | setValue (const std::vector< Point2 > &values)
Series & | setValue (const std::vector< Point3 > &values)
Series & | set (float key, float value)
Series & | set (float key, float value_a, float value_b)
Series & | set (float key, float value_a, float value_b, float value_c)
Series & | setValue (float value)
Series & | setValue (float value_a, float value_b)
Series & | setValue (float value_a, float value_b, float value_c)
Series & | clear ()
const std::string & | label () const
bool | legend () const
Color | color () const
void | draw (void *buffer, float x_min, float x_max, float y_min, float y_max, float x_axis, float xs, float xd, float ys, float yd, float y_axis, int unit, float offset) const
bool | collides () const
void | dot (void *b, int x, int y, int r) const
void | bounds (float &x_min, float &x_max, float &y_min, float &y_max, int &n_max, int &p_max) const
void | verifyParams () const

## Protected Member Functions
void | ensureDimsDepth (int dims, int depth)
bool | flipAxis () const

## Protected Attributes
std::vector< int > | entries_
std::vector< float > | data_
enum Type | type_
Color | color_
std::string | label_
int | dims_
int | depth_
bool | legend_
bool | dynamic_color_

## Detailed Description

Definition at line 53 of file FgFigure.h.

## Member Data Documentation

## ◆ entries_

std::vector<int> NeuralEngine::MachineLearning::Series::entries_
| protected

Definition at line 107 of file FgFigure.h.

## ◆ data_

std::vector<float> NeuralEngine::MachineLearning::Series::data_
| protected

Definition at line 108 of file FgFigure.h.

## ◆ type_

enum Type NeuralEngine::MachineLearning::Series::type_
| protected

Definition at line 109 of file FgFigure.h.

## ◆ color_

Color NeuralEngine::MachineLearning::Series::color_
| protected

Definition at line 110 of file FgFigure.h.

## ◆ label_

std::string NeuralEngine::MachineLearning::Series::label_
| protected

Definition at line 111 of file FgFigure.h.

## ◆ dims_

int NeuralEngine::MachineLearning::Series::dims_
| protected

Definition at line 112 of file FgFigure.h.

## ◆ depth_

int NeuralEngine::MachineLearning::Series::depth_
| protected

Definition at line 113 of file FgFigure.h.

## ◆ legend_

bool NeuralEngine::MachineLearning::Series::legend_
| protected

Definition at line 114 of file FgFigure.h.

## ◆ dynamic_color_

bool NeuralEngine::MachineLearning::Series::dynamic_color_
| protected

Definition at line 115 of file FgFigure.h.

The documentation for this class was generated from the following file:

- FgFigure.h